Bug 814386 - Integration of aviary for job control, submission, and job/submission queries [RFE]
Integration of aviary for job control, submission, and job/submission queries...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
Unspecified Unspecified
high Severity medium
: 2.3
: ---
Assigned To: Trevor McKay
Stanislav Graf
: FutureFeature
Depends On: 733677 751278 907866 908051
Blocks: 850563 743350 755648 865863
  Show dependency treegraph
 
Reported: 2012-04-19 14:31 EDT by Trevor McKay
Modified: 2013-04-15 20:48 EDT (History)
8 users (show)

See Also:
Fixed In Version: cumin-0.1.5338-1
Doc Type: Enhancement
Doc Text:
Cause Initial Cumin integration with the Aviary web services in MRG Grid was released as a Technology Preview feature. It was lacking a discovery mechanism for Aviary endpoints and the feature was turned off by default at installation. Consequence Cumin used QMF methods for remote grid operations by default. Change Cumin has been fully integrated with the Aviary web servers and now has support for discovery of Aviary endpoints through the Aviary locator service. Result Use of Aviary web services is now on by default at installation. If it is turned off, Cumin will use QMF methods instead.
Story Points: ---
Clone Of: 733677
Environment:
Last Closed: 2013-03-06 13:43:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 18:37:09 EST

  None (edit)
Comment 1 Trevor McKay 2012-04-19 14:37:29 EDT
Cloned the original BZ, considering this feature mature enough to move out of
Tech Preview status.  The major factor in promoting is the resolution of Bug
733516, use of aviary locator in cumin which makes the feature useful with minimal user configuration.
Comment 2 Trevor McKay 2012-04-19 14:41:10 EDT
Removed AVIARY-README from source and installation of AVIARY-README in /usr/share/docs/cumin
Comment 4 Trevor McKay 2012-05-04 16:24:35 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    Initial Cumin integration with the Aviary web services in MRG Grid was released as a Technology Preview feature.  It was lacking a discovery mechanism for Aviary endpoints and the feature was turned off by default at installation.

Consequence
    Cumin used QMF methods for remote grid operations by default.

Change
    Cumin has been fully integrated with the Aviary web servers and now has support for discovery of Aviary endpoints through the Aviary locator service.

Result
    Use of Aviary web services is now on by default at installation.  If it is turned off, Cumin will use QMF methods instead.
Comment 9 Trevor McKay 2012-10-12 12:44:00 EDT
Current documentation on the stage needs to be tweaked, Bug 865863

Otherwise, the content on the stage for Aviary is correct
Comment 13 Stanislav Graf 2013-02-11 09:42:25 EST
Verified on RHEL 5/6 i386/x86_64
cumin-0.1.5675-1
Comment 15 errata-xmlrpc 2013-03-06 13:43:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.